MONGOC_SOCKET_GETNAMEINFO(3)

NAME
mongoc_socket_getnameinfo() - This is a helper around getting the local name of a socket. It is a wrapper around getpeername() and getnameinfo().

SYNOPSIS

char *
mongoc_socket_getnameinfo (mongoc_socket_t *sock);

PARAMETERS

sock
    A mongoc_socket_t \&.

DESCRIPTION

This is a helper around getting the local name of a socket. It is a wrapper around getpeername(3) and getnameinfo(3) \&.

RETURNS

A newly allocated string that should be freed with bson_free(3) \&.

COLOPHON
This page is part of MongoDB C Driver. Please report any bugs at https://jira.mongodb.org/browse/CDRIVER.